Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Interface RefreshEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultRefreshEventListener

    public interface RefreshEventListener

extends Serializable

Defines the contract for handling of refresh events generated from a session.

Method Summary
`void` | `onRefresh(RefreshEvent event)` Handle the given refresh event.
`void` | `onRefresh(RefreshEvent event, Map refreshedAlready)`

Method Detail

### onRefresh

    void onRefresh(RefreshEvent event)
                   throws HibernateException

  Handle the given refresh event.

  Parameters:
    `event` - The refresh event to be handled.
  Throws:
    `HibernateException`

### onRefresh

    void onRefresh(RefreshEvent event,
                   Map refreshedAlready)
                   throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.